{% extends 'datacenter/base.html' %}
{% block content %}
  {% if is_paginated %}
    <div class="row col-12 m-auto bg-secondary mx-auto p-0">
      <div class="col-xxl-3 col-xl-3 col-lg-3 col-md-3 col-sm-4 p-2 text-end mx-auto">
        <div class="col-12 bg-black text-white p-2 mx-auto">Page {{ page_obj.number }}/{{ paginator.num_pages }}</div>
      </div>
      {% if page_obj.has_other_pages %}
        <div class="col-xxl-9 col-xl-9 col-lg-9 col-md-9 col-sm-8 p-2 mx-auto">
          <div class="row col-12 p-0 text-end mx-auto">
            {% if page_obj.has_previous %}
              <div class="col mx-auto">
                <div class="col-12 bg-black p-2 mx-auto">
                  <a class="bg-black p-2 text-white text-decoration-none"
                     href="{{ request.path }}?page=1">First page</a>
                </div>
              </div>
              <div class="col mx-auto">
                <div class="col-12 bg-black p-2 mx-auto">
                  <a class="bg-black p-2 text-white text-decoration-none"
                     href="{{ request.path }}?page={{ page_obj.previous_page_number }}">Previous page</a>
                </div>
              </div>
            {% else %}
            {% endif %}
            {% if page_obj.has_next %}
              <div class="col mx-auto">
                <div class="col-12 bg-black p-2 mx-auto">
                  <a class="p-2 bg-black text-white text-decoration-none"
                     href="{{ request.path }}?page={{ page_obj.next_page_number }}">Next page</a>
                </div>
              </div>
              <div class="col mx-auto">
                <div class="col-12 bg-black p-2 mx-auto">
                  <a class="p-2 bg-black text-white text-decoration-none"
                     href="{{ request.path }}?page={{ page_obj.paginator.num_pages }}">Last page</a>
                </div>
              </div>
            {% else %}
            {% endif %}
          </div>
        {% else %}
        {% endif %}
      </div>
    </div>
  {% else %}
  {% endif %}
  <div class="row bg-black border-bottom mt-3 mx-auto p-0 ">
    <h1 class="text-white text-center">{{ devices.count }}/{{ paginator.count }} {{ page_title }}</h1>
  </div>
  <div class="row align-items-center bg-black text-white border-bottom mx-auto py-2">
    <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center my-auto">ID</div>
    <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center my-auto">Detail</div>
    <div class="col-xxl-3 col-xl-3 col-lg-3 col-md-3 col-sm-12 text-center my-auto">Rack</div>
    <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center my-auto">Device type</div>
    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-2 col-sm-12 text-center my-auto">Lifecycle</div>
    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-2 col-sm-12 text-center my-auto">Model name</div>
    <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center">Number of ports</div>
    <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center">Vertical size</div>
  </div>
  <div class="mb-5">
    {% for device in devices %}
      <div class="row border-bottom mx-auto fw-semibold py-2">
        <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center my-auto">{{ device.id }}</div>
        <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 text-center my-auto">
          <button class="btn btn-dark">
            <a class="text-decoration-none text-white"
               href="{{ device.get_absolute_url }}">Edit</a>
          </button>
        </div>
        <div class="col-xxl-3 col-xl-3 col-lg-3 col-md-3 col-sm-12 col-md-3 col-sm-12 text-center my-auto">
          {{ device.rack }}
        </div>
        <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 col-sm-12 text-center my-auto">
          {{ device.get_device_type_display }}
        </div>
        <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-2 col-sm-12 text-center my-auto {% for state, color in device.in_state_colors_tags.items %}{% if state == device.in_state %}{{ color }}{% else %}{% endif %}{% endfor %} text-white py-2">
          {{ device.get_in_state_display }}
        </div>
        <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-2 col-sm-12 text-center my-auto bg-black text-white py-2">
          {{ device.model_name }}
        </div>
        <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 col-sm-12 text-center my-auto">
          {{ device.number_of_ports }} ports
        </div>
        <div class="col-xxl-1 col-xl-1 col-lg-1 col-md-1 col-sm-12 col-sm-12 text-center my-auto">
          {{ device.vertical_size }} U
        </div>
      </div>
    {% endfor %}
  </div>
{% endblock %}
